# $Revision: 1.36 $, $Date: 2002/11/13 13:20:52 $
%include /usr/lib/rpm/macros.python
Summary:	Advanced vector graphics program written in Python
Summary(pl):	Zaawansowany program do rysowania grafiki wektorowej napisany w Pythonie
Summary(pt_BR):	Programa para desenhos de grficos vetoriais baseado em Python
Name:		sketch
Version:	0.6.14
Release:	2
License:	GPL
Group:		Applications/Graphics
Source0:	http://prdownloads.sourceforge.net/sketch/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://sketch.sourceforge.net/
%pyrequires_eq	python
Requires:	python-Imaging
Requires:	tkinter >= 2.1
BuildRequires:	rpm-pythonprov
BuildRequires:	python-devel >= 2.1
BuildRequires:	python-Imaging-devel >= 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Sketch is an interactive X11 drawing program (similar to XFig or
tgif). It features:
 - drawing primitives like rectangles, ellipses, bezier curves,
   external images, text
 - primitives properties
 - transformations: rotation, scaling, shearing, etc.
 - special effects like blend groups, converting text to bezier
   objects, text along path and using bezier curves, rectangles and
   ellipses as guides in addition to standard vertical and horizontal
   guide lines
- export file formats (EPS, Adobe Illustrator)
- import file formats (XFig, Adobe Illustrator, WMF, Corels CMX)
- unlimited undo history
- user scripts

%description -l pl
Sketch to interaktywny program do rysunku wektorowego dla systemu
Xwindow (podobnie jak XFig lub tgif). Jego gwne funkcje to:
 - podstawowe ksztaty rysunkowe takie jak prostokty, elipsy, krzywe
   Beziera, zewntrzne pliki z obrazami, tekst
 - waciwoci ksztatw
 - przeksztacenia - obrt, skalowanie, etc.
 - efekty specjalne takie jak czenie w grupy, konwersja tekstu na
   krzywe Beziera, ukadanie tekstu wedug zadanego ksztatu, prostokty
   oraz elipsy jako dodatkowe linie pomocniczne
 - zapis w innych formatach (EPS, Adobe Illustrator)
 - odczyt obcych formatw (XFig, Adobe Illustrator, WMF, CMX programu
   Corel Draw)
 - nieskoczona historia zmian pozwalajca na ich cofnicie
 - skrypty uytkownika

%description -l pt_BR
Sketch  um programa para desenhos de grficos vetoriais que roda
sobre o X. Ele  escrito em inteiramente em Python, uma linguagem de
programao orientada a objeto interpretada.

%prep
%setup -q

%build
python setup.py configure \
	--imaging-include=%{py_incdir} \
	--with-nls
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_applnkdir}/Graphics

python setup.py install \
	--prefix=$RPM_BUILD_ROOT/%{_prefix}

install %{SOURCE1} $RPM_BUILD_ROOT/%{_applnkdir}/Graphics

mv -f Doc guides

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS NEWS PROJECTS README TODO guides
%attr(755,root,root) %{_bindir}/sk2ps
%attr(755,root,root) %{_bindir}/sk2ppm
%attr(755,root,root) %{_bindir}/sketch
%attr(755,root,root) %{_bindir}/skshow
%attr(755,root,root) %{_bindir}/skconvert
%dir %{_libdir}/%{name}-%{version}
%attr(755,root,root) %{_libdir}/%{name}-%{version}/sk2ps.py
%attr(755,root,root) %{_libdir}/%{name}-%{version}/sk2ppm.py
%attr(755,root,root) %{_libdir}/%{name}-%{version}/sketch.py
%attr(755,root,root) %{_libdir}/%{name}-%{version}/skshow.py
%attr(755,root,root) %{_libdir}/%{name}-%{version}/skconvert.py
%{_libdir}/%{name}-%{version}/Resources
%{_libdir}/%{name}-%{version}/Script
%dir %{_libdir}/%{name}-%{version}/Sketch
%{_libdir}/%{name}-%{version}/Sketch/VERSION
%{_libdir}/%{name}-%{version}/Sketch/*.py*
%{_libdir}/%{name}-%{version}/Sketch/Base
%{_libdir}/%{name}-%{version}/Sketch/Pixmaps
%{_libdir}/%{name}-%{version}/Sketch/Lib
%{_libdir}/%{name}-%{version}/Sketch/Scripting
%{_libdir}/%{name}-%{version}/Sketch/Graphics
%{_libdir}/%{name}-%{version}/Sketch/UI
%dir %{_libdir}/%{name}-%{version}/Sketch/Modules
%attr(755,root,root) %{_libdir}/%{name}-%{version}/Sketch/Modules/*.so
%{_libdir}/%{name}-%{version}/Plugins
%dir %{_libdir}/%{name}-%{version}/Lib
%attr(755,root,root) %{_libdir}/%{name}-%{version}/Lib/*.so
%{_libdir}/%{name}-%{version}/Lib/*.py*

%{_applnkdir}/Graphics/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sketch.spec,v $
Revision 1.36  2002/11/13 13:20:52  wrobell
- fixed install requirements
- rel. 2, stb

Revision 1.35  2002/11/10 22:12:57  kloczek
- updated to 0.6.14.

Revision 1.34  2002/11/10 11:44:25  alchemyx
- added missing Modules directory

Revision 1.33  2002/11/10 11:37:24  alchemyx
- added requirement of python-Imaging
- release 5

Revision 1.32  2002/07/22 21:48:18  ankry
- fixed build (macros.python moved to the beginning)
- fixed pl translation
- new %%doc, cleaning
- release 4

Revision 1.31  2002/04/11 13:52:19  wrobell
- rel. 3, stb

Revision 1.30  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.29  2002/03/20 22:39:41  filon
- sketch interprets py files dynamicaly, they have to be in package
- back to distributing *.py files
- release 2

Revision 1.28  2002/03/20 20:47:22  filon
- updated to 0.6.13
- changed summary a bit
- do not include *.py files (scripts are left of course)
- proper atrtributes for *.so files
- cosmetics

Revision 1.27  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/01/18 02:14:55  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/11/24 21:18:01  mkochano
- Updated source URI.

Revision 1.23  2001/11/12 21:31:29  kloczek
- updated Source url.
NOTE: missing sketch.png for desktop file.

Revision 1.22  2001/11/12 21:28:32  kloczek
- spec adapterized and merged translations from CNV.
NOTE: latest os 0.7.7.

Revision 1.21  2001/11/12 21:18:18  kloczek
- removed COPYING from %%doc (License: GPL).

Revision 1.20  2001/11/12 18:51:09  qboosh
- BuildRequires: rpm-pythonprov

Revision 1.19  2001/11/12 15:37:17  wrobell
- use standard python macros

Revision 1.18  2001/09/09 23:49:19  alchemyx
- minor fixes
- release 1
- please send to builders along with python-Imaging

Revision 1.17  2001/09/09 23:25:07  alchemyx
- added applnk entry
- added polish description
- cosmetics

Revision 1.16  2001/09/09 23:01:32  alchemyx
- cosmetics inside of %%files
- polish summary

Revision 1.15  2001/09/09 22:52:02  alchemyx
- html guides put in DOCDIR/guides
- fixed mess within %%files section

Revision 1.14  2001/09/09 22:29:40  alchemyx
- path to *.py files fixed

Revision 1.13  2001/09/09 22:26:06  alchemyx
- added buildroot definition
- added prefix to /usr/X11R6
- changed path to python headers from relative to absolute
- made *.py files executable

Revision 1.12  2001/09/09 21:53:56  alchemyx
- changed buildreq so build process uses python 2.1 or later

Revision 1.11  2001/09/09 21:47:32  alchemyx
- fixed buildreq
- trying to glue sketch with python 2.1

Revision 1.10  2001/09/09 20:48:50  alchemyx
- adapterized

Revision 1.9  2001/09/09 20:44:02  alchemyx
- changed source address
- ugpraded to 0.6.12

Revision 1.8  2001/09/09 20:41:03  alchemyx
- URL changed

Revision 1.7  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.5  1999/12/04 18:44:37  cieciwa
- fixes typo.

Revision 1.4  1999/12/04 17:40:53  cieciwa
- added path in Source.

Revision 1.3  1999/12/04 17:37:22  cieciwa
- updated to version 0.6.2

Revision 1.2  1999/11/02 13:30:20  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/08/08 09:29:56  wrobell
- specfile for sketch, an interactive X11 drawing program
